diff --git a/web/pgadmin/static/js/components/JsonEditor.jsx b/web/pgadmin/static/js/components/JsonEditor.jsx
index 3dae7df05..4e5ae6bda 100644
--- a/web/pgadmin/static/js/components/JsonEditor.jsx
+++ b/web/pgadmin/static/js/components/JsonEditor.jsx
@@ -20,6 +20,13 @@ export default function JsonEditor({getEditor, value, options, className}) {
     modes: ['code', 'form', 'tree','preview'],
   };
 
+  useEffect(()=>{
+    const editorResizeObserver = new ResizeObserver(()=>{
+      editor.current.resize();
+    });
+    editorResizeObserver.observe(eleRef.current);
+  }, []);
+
   useEffect(()=>{
     /* Create the object only once on mount */
     editor.current = new OrigJsonEditor(eleRef.current, {
